# Connectors

Connectors implement `ConnectorInterface`. A connector contains the mechanism through which the data is going to be fetched.

Three connectors are provided by default, listed below.

## ConnectorTheGraph

A connector that fetches information from a The Graph Subgraph.

## ConnectorEthereumProvider

A connector that fetches information from a standard Ethereum provider (EIP 1193).

## ConnectorJson

A connector that read information from a JSON string. Useful for testing / debugging purposes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/connectors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
